列出 tenantDetailedInformation
命名空间:microsoft.graph.managedTenants
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取 tenantDetailedInformation 对象 及其属性的列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | ManagedTenants.Read.All、ManagedTenants.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
GET /tenantRelationships/managedTenants/tenantsDetailedInformation
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应,包括 $apply $count $filter $orderBy $select 、、 $skip 和 $top 。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK tenantDetailedInformation 对象集合。
示例
请求
GET https://graph.microsoft.com/beta/tenantRelationships/managedTenants/tenantsDetailedInformation
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/tenantRelationships/managedTenants/$metadata#tenantDetailedInformation",
"value": [
{
"id": "34298981-4fc8-4974-9486-c8909ed1521b",
"tenantId": "34298981-4fc8-4974-9486-c8909ed1521b",
"companyName": "Fourth Coffee",
"defaultDomainName": "fourthcoffee001.onmicrosoft.com",
"countryName": "United States",
"countryCode": "US",
"city": "Redmond",
"region": "NA",
"verticalName": "Software",
"industryName": "Computer",
"segmentName": "Service"
},
{
"id": "38227791-a88b-4fcc-81c5-58cf77668320",
"tenantId": "38227791-a88b-4fcc-81c5-58cf77668320",
"companyName": "Consolidated Messenger",
"defaultDomainName": "consoldiatedmessenger001.onmicrosoft.com",
"countryName": "United States",
"countryCode": "US",
"city": "Redmond",
"region": "NA",
"verticalName": "Software",
"industryName": "Computer",
"segmentName": "Service"
}
]
}
反馈
提交和查看相关反馈